curl --request GET \
--url https://api.pav.bio/v1/trials/{nct_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.pav.bio/v1/trials/{nct_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.pav.bio/v1/trials/{nct_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nct_id": "NCT04368728",
"nct_url": "https://clinicaltrials.gov/study/NCT04368728",
"title": "A Study of a Vaccine to Prevent COVID-19",
"phase": "Phase 3",
"status": "Completed",
"sponsor": "Pfizer",
"study_type": "Interventional",
"conditions": [
"COVID-19",
"SARS-CoV-2 Infection"
],
"enrollment_count": 43998,
"program_count": 2,
"company_short_names": [
"pfizer",
"biontech"
],
"lead_sponsor": {
"name": "BioNTech SE",
"role": "lead_sponsor",
"company_id": 127,
"short_name": "biontech"
},
"collaborators": [
{
"name": "BioNTech SE",
"role": "lead_sponsor",
"company_id": 127,
"short_name": "biontech"
}
],
"sponsors": [
{
"name": "BioNTech SE",
"role": "lead_sponsor",
"company_id": 127,
"short_name": "biontech"
}
],
"company_ids": [
127,
506
],
"programs": [
{
"program_id": 1027,
"short_name": "biontech",
"company_id": 127,
"drug": "BNT162b2",
"indication": "COVID-19"
}
],
"start_date": "2020-04-29",
"last_update_post_date": "2023-08-15",
"primary_completion_date": "2012-06-01",
"completion_date": "2013-03-01",
"results_first_post_date": "2016-08-04",
"why_stopped": "Slow enrollment",
"primary_outcomes": [
{
"measure": "Progression-Free Survival (PFS)",
"time_frame": "Year 3",
"description": "Patients are considered a failure if they die, progress, or relapse."
}
]
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}{
"error": {
"code": "not_found",
"message": "program 999999 not found",
"request_id": "3f2b9c1d8a7e4f6b9c0d1e2f3a4b5c6d"
}
}Get a clinical trial by NCT id
Fetch a single clinical trial by its NCT id, including any linked Pav programs/companies. Returns 404 not_found if the NCT id is unknown.
Authorizations
Use a personal or organization Pav API key from Pav developer settings. Send it as Authorization: Bearer <api_key>.
Path Parameters
ClinicalTrials.gov NCT identifier.
"NCT04368728"
Response
Successful Response
ClinicalTrials.gov registry identifier (NCT number).
"NCT04368728"
ClinicalTrials.gov URL for the trial record.
"https://clinicaltrials.gov/study/NCT04368728"
Official or brief title of the trial.
"A Study of a Vaccine to Prevent COVID-19"
Trial phase as reported by ClinicalTrials.gov.
"Phase 3"
Overall recruitment/operational status of the trial.
"Completed"
Lead sponsor of the trial.
"Pfizer"
Study type (e.g. Interventional, Observational).
"Interventional"
Conditions/indications studied in the trial.
["COVID-19", "SARS-CoV-2 Infection"]
Planned or actual participant enrollment.
43998
Number of Pav programs linked to this trial.
2
Slugs of companies whose Pav programs are linked to this trial. For sponsor-based links as well, see company_ids and sponsors.
["pfizer", "biontech"]
Lead sponsor as recorded on ClinicalTrials.gov. Null when the registry record names no sponsor organization (e.g. some pre-2016 records).
Show child attributes
Show child attributes
Collaborator sponsors as recorded on ClinicalTrials.gov.
Show child attributes
Show child attributes
All sponsors (lead, collaborators, owners), lead sponsor first.
Show child attributes
Show child attributes
Pav company ids linked to this trial as a sponsor or through their programs (deduplicated, sorted). Use them to join trials to companies and programs.
[127, 506]
Pav programs linked to this trial.
Show child attributes
Show child attributes
Trial start date as reported by ClinicalTrials.gov.
"2020-04-29"
Date the trial record was last updated on ClinicalTrials.gov.
"2023-08-15"
Primary completion date as reported by ClinicalTrials.gov — the date the last participant was examined or received an intervention for primary-outcome data collection. A key resolution date.
"2012-06-01"
Study completion date as reported by ClinicalTrials.gov.
"2013-03-01"
Date results were first posted on ClinicalTrials.gov. Null until the trial has posted results.
"2016-08-04"
Free-text reason the trial stopped early, as reported by ClinicalTrials.gov. Null for trials that did not stop early.
"Slow enrollment"
The trial's primary outcome measures (primary endpoints) as reported by ClinicalTrials.gov.
Show child attributes
Show child attributes